Package io.vertx.rxjava3.mqtt.messages

## Class MqttPubCompMessage

- java.lang.Object
- - io.vertx.rxjava3.mqtt.messages.MqttPubCompMessage

-     public class MqttPubCompMessage
      extends Object

  Represents an MQTT PUBCOMP message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttPubCompMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttPubCompMessage​(MqttPubCompMessage delegate)` |
    `MqttPubCompMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MqttPubCompReasonCode` | `code()` |
    `static MqttPubCompMessage` | `create​(int messageId, MqttPubCompReasonCode code, MqttProperties properties)` | Create a concrete instance of a Vert.x pubcomp message
    `boolean` | `equals​(Object o)` |
    `MqttPubCompMessage` | `getDelegate()` |
    `int` | `hashCode()` |
    `int` | `messageId()` |
    `static MqttPubCompMessage` | `newInstance​(MqttPubCompMessage arg)` |
    `MqttProperties` | `properties()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttPubCompMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttPubCompMessage

          public MqttPubCompMessage​(MqttPubCompMessage delegate)

    - #### MqttPubCompMessage

          public MqttPubCompMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttPubCompMessage getDelegate()

    - #### messageId

          public int messageId()

    - #### code

          public MqttPubCompReasonCode code()

      Returns:
        reason code from the pubcomp message

    - #### create

          public static MqttPubCompMessage create​(int messageId,
                                                  MqttPubCompReasonCode code,
                                                  MqttProperties properties)

      Create a concrete instance of a Vert.x pubcomp message
      Parameters:
        `messageId` - message Id
        `code` - return code from the pubcomp
        `properties` - MQTT properties of the pubcomp message
      Returns:

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttPubCompMessage newInstance​(MqttPubCompMessage arg)